MLAPI API Reference

# NetId Constructor (Byte, UInt16, Boolean, Boolean)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the netId struct from transport values

Namespace: MLAPI.Data
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public NetId(
    	byte hostId,
    	ushort connectionId,
    	bool isHost,
    	bool isInvalid
    )

Request Example
View Source

#### Parameters

hostId
  Type: System
  Byte
  Host identifier.
connectionId
  Type: System
  UInt16
  Connection identifier.
isHost
  Type: System
  Boolean
  If set to true is host.
isInvalid
  Type: System
  Boolean
  If set to true is invalid.

See Also

#### Reference

NetId Structure
NetId Overload
MLAPI.Data Namespace